#include <bits/stdc++.h>
using namespace std;


int main() {
   /*
   int a,b,c=0;
   cin>>a>>b;
   c=a^b;
   cout<<c<<endl;*/
   
   int n;cin>>n;
   
   int xorNiz[1005];
   int andNiz[1005];
   
   for(int i=0;i<n;i++){
       cin>>xorNiz[i];
   }
    
    for(int i=0;i<n;i++){
       cin>>andNiz[i];
   }
   int xorRez=0;int maxXor=0;
    int andRez=0;int maxAnd=0;
   for(int i=0;i<n-1;i++){

        xorRez=xorNiz[i];
       andRez=andNiz[i];
        
       for(int j=i+1;j<n;j++){

           xorRez^=xorNiz[j];

           andRez&=andNiz[j];
           //cout<<andRez;
           
       }
       
       if(andRez>maxAnd&&xorRez>maxXor){
           maxAnd=andRez;
           maxXor=xorRez;
            //cout<<maxAnd;
       }
       //spoji
       /*if(xorRez>maxXor){
           maxXor=xorRez;
       }*/
       
   }
   //cout<<xorRez;
   
   cout<<xorRez*andRez<<endl;
    
    return 0;
}